# Get attributes

Fetches attributes.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/gmb-attributes
```

- Area: Google Business / Google Business Attributes
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `locationId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-attributes" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-attributes", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-attributes",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `accountId`, string
- `locationId`, string
- `attributes`, array of object
  - `name`, string
  - `valueType`, string
  - `values`, array of any
  - `repeatedEnumValue`, object
    - `setValues`, array of string
    - `unsetValues`, array of string

```json
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2",
  "attributes": [
    {
      "name": "Acme",
      "valueType": "string",
      "values": [
        "string"
      ],
      "repeatedEnumValue": {
        "setValues": [
          "string"
        ],
        "unsetValues": [
          "string"
        ]
      }
    }
  ]
}
```
